#!/bin/bash

set -e

CURRENT_DIR=$(cd $(dirname $0); pwd)
cd ${CURRENT_DIR}

unset http_proxy
unset https_proxy

suffix=""
platform=$(uname)
if [ "${platform}"x == "Darwin"x ]; then
    suffix="_darwin"
fi

if [ "$1"x == "-image"x ]; then
    ${CURRENT_DIR}/bin/frontend${suffix} &
    ${CURRENT_DIR}/bin/servicecenter${suffix}
    exit 0
else
    ${CURRENT_DIR}/bin/frontend${suffix} > ./frontend.log 2>&1 &
    ${CURRENT_DIR}/bin/servicecenter${suffix} > /dev/null 2>&1 &
fi

echo "Service center has been launched in ${platform}."
echo "you can check ${CURRENT_DIR}/service-center.log for more details."
